<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.sheep.gamegroup.view.activity.ActInputAndPickerImg">

    <View
        android:id="@+id/input_and_picker_img_top"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:onClick="onClickNullView"
        app:layout_constraintBottom_toTopOf="@id/input_and_picker_img_cl"
        app:layout_constraintTop_toTopOf="parent" />

    <android.support.constraint.ConstraintLayout
        android:id="@+id/input_and_picker_img_cl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_top">

        <TextView
            android:id="@+id/input_and_picker_img_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="16dp"
            android:paddingEnd="5dp"
            android:text="@string/input_x"
            android:textColor="#ff333333"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@id/input_and_picker_img_et"
            app:layout_constraintEnd_toStartOf="@id/input_and_picker_img_et"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/input_and_picker_img_et" />

        <android.support.v7.widget.AppCompatEditText
            android:id="@+id/input_and_picker_img_et"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="30dp"
            android:background="@null"
            android:textColor="@color/black_666666"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/input_and_picker_img_label"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginStart="16dp"
            android:layout_marginTop="19dp"
            android:layout_marginEnd="16dp"
            android:background="#F2F2F2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_et" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:text="@string/img_upload"
            android:textColor="#ff999999"
            android:textSize="13sp"
            app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_et" />

        <android.support.v7.widget.RecyclerView
            android:id="@+id/input_and_picker_img_rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="76dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_et" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginTop="34dp"
            android:background="#F2F2F2"
            app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_rv" />

        <TextView
            style="@style/style_button_full"
            android:layout_height="33dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="42dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="8dp"
            android:onClick="onClickCommit"
            android:text="@android:string/ok"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/input_and_picker_img_rv" />


    </android.support.constraint.ConstraintLayout>
</android.support.constraint.ConstraintLayout>